#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ --with bash_completion

override_dh_auto_clean:
	dh_auto_clean

	cd debian/uglify && $(MAKE) clean

override_dh_auto_build:
	dh_auto_build

	cd debian/uglify && $(MAKE) all

override_dh_install:
	dh_install -X.min.js -X.min.map -XSOURCE

	cp -r debian/uglify/*.min.* debian/icingaweb2/usr/share/icingaweb2/public/js/vendor/

	mkdir -p debian/php-icinga/usr/share/doc/php-icinga
	cp library/vendor/Zend/README.md debian/php-icinga/usr/share/doc/php-icinga/README-ZF1.md

	# Remove extra license files
	find debian/*/usr/share/icingaweb2 -name LICENSE -delete

	# Remove documentation
	$(RM) debian/*/usr/share/icingaweb2/library/vendor/lessphp/CHANGES.md
	$(RM) debian/*/usr/share/icingaweb2/library/vendor/lessphp/README.md
	$(RM) debian/*/usr/share/icingaweb2/library/vendor/lessphp/SECURITY.md

	# Remove duplicate font files
	$(RM) debian/*/usr/share/icingaweb2/library/vendor/dompdf/lib/fonts/DejaVuSans.ttf \
	      debian/*/usr/share/icingaweb2/library/vendor/dompdf/lib/fonts/DejaVuSans-Bold.ttf \
	      debian/*/usr/share/icingaweb2/library/vendor/dompdf/lib/fonts/DejaVuSans-BoldOblique.ttf \
	      debian/*/usr/share/icingaweb2/library/vendor/dompdf/lib/fonts/DejaVuSans-Oblique.ttf \
	      debian/*/usr/share/icingaweb2/library/vendor/dompdf/lib/fonts/DejaVuSansMono.ttf \
	      debian/*/usr/share/icingaweb2/library/vendor/dompdf/lib/fonts/DejaVuSansMono-Bold.ttf \
	      debian/*/usr/share/icingaweb2/library/vendor/dompdf/lib/fonts/DejaVuSansMono-BoldOblique.ttf \
	      debian/*/usr/share/icingaweb2/library/vendor/dompdf/lib/fonts/DejaVuSansMono-Oblique.ttf \
	      debian/*/usr/share/icingaweb2/library/vendor/dompdf/lib/fonts/DejaVuSerif.ttf \
	      debian/*/usr/share/icingaweb2/library/vendor/dompdf/lib/fonts/DejaVuSerif-Bold.ttf \
	      debian/*/usr/share/icingaweb2/library/vendor/dompdf/lib/fonts/DejaVuSerif-BoldItalic.ttf \
	      debian/*/usr/share/icingaweb2/library/vendor/dompdf/lib/fonts/DejaVuSerif-Italic.ttf

	# Remove executable bit
	chmod -x debian/*/usr/share/icingaweb2/application/fonts/fontello-ifont/config.json \
	         debian/*/usr/share/icingaweb2/library/vendor/HTMLPurifier/DefinitionCache/Serializer/README \
	         debian/*/usr/share/icingaweb2/public/font/ifont.*

# vi: ts=4 sw=4 noexpandtab :
